après la mise à niveau de 8 à 9 ng erreur de construction : Importation d'un symbole inattendu invalidFactory lors de la compilation de angular/core

voix
0

après avoir lancé la mise à jour angulaire, j'obtiens l'erreur suivante :

Compilation @angular/core : module comme esm5 Erreur : Erreur sur l'ouvrier n°2 : Erreur : Importation d'un symbole inattendu ɵɵinvalidFactory lors de la compilation @angulaire/noyau à Object.validateAndRewriteCoreSymbol (C:\sites\regent-dev\Website\DesktopModules\RegentApp\node_modules@angular\compiler-cli\src\ngtsc\imports\src\core.js:90:19)

J'ai lancé la mise à jour @angular/cli@9 @angular/core@9 --force de passer de 8 à 9 parce qu'il y avait des problèmes de dépendance vis-à-vis des pairs.

Dès que cela a été fait, j'ai lancé ng build et l'erreur ci-dessus est apparue J'ai donc essayé de suivre pour la corriger

  • réduire tous les changements
  • supprimer le node_modulesdossier rm -rf node_modules
  • supprimer le package-lock.jsonfichier
  • npm i
  • npm install @angular/cli -g
  • ng update @angular/cli @angular/core --force
  • ng update --all --force

L'erreur apparaît toujours

Quelqu'un peut-il m'aider à comprendre ce qui se passe ici ?

Merci d'avance

Voici l'erreur qui se produit lors de l'exécution du post-install ngcc

$ npm i

> my-app@1.3.51 postinstall C:\sites\...\App
> ngcc

Warning: Entry point '@angular/core' contains deep imports into 'C:/sites/.../node_modules/ng2-bootstrap-growl/node_modules/rxjs/symbol/observable', 'C:/sites/.../node_modules/ng2-bootstrap-growl/node_modules/rxjs/Subject', 'C:/sites/.../node_modules/ng2-bootstrap-growl/node_modules/rxjs/Observable'. This is probably not a problem, but may cause the compilation of entry points to be out of order.
Compiling @angular/core : fesm2015 as esm2015
Compiling @angular/core : main as umd
Error: Error on worker #2: Error: Importing unexpected symbol ɵɵinvalidFactory while compiling @angular/core
    at Object.validateAndRewriteCoreSymbol (C:
... Stack Trace Continues ...

voici ma version angulaire (après la mise à jour et celle qui lance l'erreur) :

id=pre-1
Créé 25/04/2020 à 23:13
source utilisateur
Dans d'autres langues...                            

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more